# PyScenes

![GitHub](https://img.shields.io/github/license/treygilliland/PyScenes)
![Travis (.org)](https://img.shields.io/travis/treygilliland/pyscenes)
![Lines of code](https://img.shields.io/tokei/lines/github/treygilliland/pyscenes)
![Codecov](https://img.shields.io/codecov/c/gh/treygilliland/pyscenes?color=pink)

PyScenes is [PyGame 2](https://www.pygame.org/wiki/about) library designed to provide the high-level functionality used in games and multi-media programs so that users can focus on creating rather than debugging. PyScenes aims to provide classes and functions related to sprites, backgrounds, sounds, images, text, and more!

## Installation

PyScenes is coming to PyPi and other providers soon.


## Usage

PyScenes is designed to be used as an all-in-one project template and interface over the PyGame engine. 

The PyScenes package contains two key components:
1. PyScenes module containing everything needed to create a game
2. BaseScene class used to define a template for creating scenes for your game

To make a game with pyscenes, create a copy of the game_template.py file and start creating your scenes there!

To see an example of using PyScenes, navigate to the examples directory 
and run any of the self-contained examples there. More coming soon!

Documentation coming soon.

## Contributing

Coming Soon.

See CONTRIBUTING.md for more.

## License
Distributed under the GPLv3 license. See LICENSE.md for more.

## Acknowledgements

PyScenes is heavily inspired by and contains code from 
[Pygame_functions](https://github.com/StevePaget/Pygame_Functions) by Steve Paget.
This library was very useful when I first started learning to make games with Python and 
its simplicity and ease of use is a great motivation for the project.

The design for the scene-based OOP implementation comes from the Nerd Paradise blog pygame tutorial.
See more [here](https://nerdparadise.com/programming/pygame/part7).
